Subject: Re: [PATCH/2.6.17-rc4 1/10] Powerpc: Add general support for mpc7 448h pc2 (Taiga) platform

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 19 May 2006 08:04:44 +1000

On Thu, 2006-05-18 at 11:41 -0500, Kumar Gala wrote:
> >> I will get rid of those tables.  I can see that in file
> >>  arch/powerpc/platforms/85xx/mpc85xx_ads.c (2.6.17-rc4), there is
> >> a similar table. Should it be removed in future :)?
> >
> > Yes. And somebody beaten up for letting that stuff leak into
> > arch/powerpc :)
> >
> >>> Yes, please do so, we will not accept a board that does the above :)
> >>
> >> I just do the same thing as 85xx :).
> >
> > Yes and I intend to LART Kumar seriously for that next time I meet
> > him :)
> 
> Get in line ;) [lets be fair, I didn't actually do the 85xx/ads.c  
> port, but it was based on the 83xx which I did do]
> 
> The problem with the irq mapping is we dont have any code yet that  
> handles the "static" tables.

We do, though right now it doesn't do much good if you don't have device
nodes for PCI devices indeed :) Fix real soon now !

Ben.